% verifica della formula (13) Chiaverini Siciliano Quaternioni
% e (2.8) articolo Wen

u=rand(3,1);
unorm=norm(u);
un=u/unorm;
teta=rand(1,1);
dteta=teta/1000;
dt=1/10;

R1=uth2rot(u,rad2grad(teta)); % rotazione casuale intorno a u
Rd=uth2rot(u,rad2grad(dteta)); % rotazione differenziale intorno allo stesso u di un angolo piccolo

R2=Rd*R1; % rotazione composta

w=un*dteta/dt; % velocit angolare come rapporto incrementale

% quaternioni

h1=rot2quat(R1);
h10=h1(1);
h1v=h1(2:4)';
h2=rot2quat(R2);

hd=(h2-h1)/dt % quaternione rapporto incrementale

hp0=-0.5*w'*h1v

hpv_wen=0.5*(h10*w+antisim(w)*h1v)
hpv_ces=0.5*(h10*w-antisim(w)*h1v)


