function [s,h] = eulero(u,teta)

% Uso [s,h] = eulero(u,teta)
%
% calcola i parametri di Eulero s e il quaternione h
% a partire da asse u e angolo di rotazione teta espresso in gradi

a=grad2rad(teta);

s=[u(1)*sin(a/2) u(2)*sin(a/2) u(3)*sin(a/2) cos(a/2)]';

h(1)=s(4);
h(2)=s(1);
h(3)=s(2);
h(4)=s(3);

