function hg = proquat2(h,g)

% una alternativa al prodotto di quaternioni
% Uso: hg = proquat(h,g)
% esegue il prodotto hg fra due quaternioni h e g, 
% definiti in riga come h=[hr, hv'] con hv vettore colonna (3x1)
%                       g=[gr, gv'] con gv vettore colonna (3x1)

F=qprodmat1(h);
hg=F*g(:);
