function x = roty(b)

% Uso:  R = roty(b)
%
% Costruisce la matrice R di rotazione elementare 
% intorno all'asse y di un angolo b espresso in gradi
 
x = eye(3);

beta = grad2rad(b);

x(1,1) = cos (beta);
x(3,3) = x(1,1);
x(1,3) = sin (beta);
x(3,1) = -x(1,3);

