function x = rotz(c)

% Uso:  R = rotz(c)
%
% Costruisce la matrice R di rotazione elementare 
% intorno all'asse z di un angolo c espresso in gradi 

x = eye(3);

gamma = grad2rad(c);

x(2,2) = cos (gamma);
x(1,1) = x(2,2);
x(2,1) = sin (gamma);
x(1,2) = -x(2,1);
